<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_about extends authcontroller
{
	function __construct()
	{
        parent::Controller();
		$this->load->model('admin_about_model');
		
		
		
    }
	
	function index($MENU_ID)
	{
		define("MENU_ID", $MENU_ID);
        $UserID = $this->session->userdata('UserID');      
        $this->redirectNoAuthRead($UserID, MENU_ID);
		
		$data['DataView']		  = $this->admin_about_model->DataView();
		
		$this->load->view('admin/admin_about', $data);
	}
	
	function update_all($MENU_ID)
	{
		$aboutID     = $this->input->post('aboutID');
		$Sort       	= $this->input->post('Sort');
		$PublishFlg 	= $this->input->post('PublishFlg');
		
		// Update PublishFlg /////////////////////////////////////////////////
		
		$this->admin_about_model->SetNullPublishFlg(); //set null
		
		$strBaca = "";
		for ($i=0; $i<count($PublishFlg); $i++)
		{
			$strBaca = $strBaca . "'" . $PublishFlg[$i] . "',";
		}
		
		$PublishFlg = substr($strBaca, 1, strlen($strBaca)-3);
		
		$this->admin_about_model->UpdatePublishFlg($PublishFlg);
		
		// print_array($PublishFlg); // cek keluaran array
		
	
		// Update Sort ////////////////////////////////////////////////////////
		
		for($a=0 ; $a<count($aboutID) ; $a++)
		{
			$this->admin_about_model->UpdateSort($aboutID[$a], $Sort[$a]);
		}
		
		//print_array ($Sort);
		
		///////////////////////////////////////////////////////////////////////
		
		redirect('admin_about/index/'.$MENU_ID);
	
	}
	
	function insert($MENU_ID)
	{
		$data['CurrentImageList'] = $this->admin_about_model->CurrentImageList();
		$data['config_module']    = $this->admin_about_model->config_module($MENU_ID);
		$this->load->view('admin/admin_about_insert', $data);
	}
	
	function insert_process($MENU_ID)
	{
		$StartDate  = $this->input->post('StartDate');
		$EndDate  	= $this->input->post('EndDate');
		
		$aboutID     = $this->admin_about_model->GetLastaboutID();
		$PublishFlg = 0;
		$ImageName = "";
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		
		if($this->input->post('ImageType') == 'NoImage')
		{
			$ImageName = "";
		}
		else if($this->input->post('ImageType') == 'UploadNew')
		{
			$ImageName = $aboutID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
			$this->uploadImage($aboutID);
		}
		else if($this->input->post('ImageType') == 'SelectList')
		{
			$ImageName = $this->input->post('ImageCurrent');
		}
		
		$data = array(
					'aboutID' 	       		=> $aboutID,
					'Name'       	  	=> $this->input->post('Name'),
					'E_Name'      	 	=> $this->input->post('E_Name'),
					'ShortDesc'    			=> $this->input->post('ShortDesc'),
					'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
					'LongDesc'     			=> $this->input->post('LongDesc'),
					'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
					'Image'        			=> $ImageName,
					'Sort'         			=> $this->admin_about_model->LastSort(),
					'PublishFlg'   			=> $PublishFlg,
					'Sdate' 				=> $StartDate
				);
		
		$this->db->insert('about', $data);
		
		redirect('admin_about/index/'.$MENU_ID);
	}
	
	function edit($MENU_ID,$aboutID)
	{
		$data['CurrentImageList'] = $this->admin_about_model->CurrentImageList();
		$data['DataEdit']         = $this->admin_about_model->DataEdit($aboutID);
		
		$data['config_module']    = $this->admin_about_model->config_module($MENU_ID);
		
		$this->load->view('admin/admin_about_edit', $data);
	}
	
	function edit_process($MENU_ID,$aboutID)
	{
				
		$StartDate  = $this->input->post('StartDate');
		$EndDate  	= $this->input->post('EndDate');

		$PublishFlg = 0;
		$CekImg = $this->admin_about_model->CekImage($aboutID); // cek image ada yang pakai ato tidak		
		$Count =  $CekImg['Count'];
		$Image = $CekImg['Image'];
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		
		if($this->input->post('ImageType') != '')
		{
			if($this->input->post('ImageType') == 'NoImage')
			{
				if ($Count == 1)
				{
				unlink('./uploads/about/'.$Image);
				}
				
				$ImageName = "";
			}
			else if($this->input->post('ImageType') == 'UploadNew')
			{
				$ImageName = $aboutID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
				if ($Count == 1)
				{
				unlink('./uploads/about/'.$Image);
				}
				
				$this->uploadImage($aboutID);
			}
			else if($this->input->post('ImageType') == 'SelectList')
			{
				$ImageName = $this->input->post('ImageCurrent');
			}
			
			$data = array(
						'Name'     	    	=> $this->input->post('Name'),
						'E_Name'    	   	=> $this->input->post('E_Name'),
						'ShortDesc'   			=> $this->input->post('ShortDesc'),
						'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
						'LongDesc'     			=> $this->input->post('LongDesc'),
						'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
						'Image'        			=> $ImageName,
						'PublishFlg'   			=> $PublishFlg,
						'Sdate' 				=> $StartDate
					);
		}
		else
		{
			$data = array(
						'Name' 	        	=> $this->input->post('Name'),
						'E_Name'   	    	=> $this->input->post('E_Name'),
						'ShortDesc'    			=> $this->input->post('ShortDesc'),
						'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
						'LongDesc'     			=> $this->input->post('LongDesc'),
						'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
						'PublishFlg'   			=> $PublishFlg,
						'Sdate' 				=> $StartDate
					);
		}
		
		$this->db->where('aboutID', $aboutID);
		$this->db->update('about', $data);
		
		redirect('admin_about/index/'.$MENU_ID);
	}
	
	function delete($MENU_ID,$aboutID)
	{
		$CekImg = $this->admin_about_model->CekImage($aboutID); // cek image ada yang pakai ato tidak		
		$Count =  $CekImg['Count'];
		$Image = $CekImg['Image'];
		
		//echo $Image;
		//print_array ($CekImg);
		
		if ($Count == 1){
		unlink('./uploads/about/'.$Image);
		}
		
		$this->db->where('aboutID', $aboutID);
		$this->db->delete('about');
		
		redirect('admin_about/index/'.$MENU_ID);
		
	}
	
	function uploadImage($aboutID)
	{
		$config['file_name']      = $aboutID;
		$config['upload_path']    = './uploads/about';
		$config['allowed_types']  = 'gif|jpg|png|';
		$config['max_size']	      = '500';
		$config['max_width']      = '300';
		$config['max_height']     = '300';
		
		$this->load->library('upload', $config);
		$this->upload->do_upload('ImageUpload');
	}
	
}
?>