<?php
class admin_about_model extends Model
{
	function __construct()
	{
        parent::Model();
    }
	
	function DataView()
	{
        $sql = "SELECT aboutID, Name, E_Name , ShortDesc , E_ShortDesc, LongDesc, E_LongDesc, Sort, PublishFlg, Image FROM about ORDER BY Sort, aboutID ASC";
        $qry = $this->db->query($sql);
        $row = $qry->result_array();
		
        return $row;
	}
	
	function LastSort()
	{
		$sql = "SELECT Sort + 1 as LastSort FROM about ORDER BY Sort DESC LIMIT 1";
        $qry = $this->db->query($sql);
		$num = $qry->num_rows();
		
		if($num > 0)
		{
			$row = $qry->result_array();
			return $row[0]['LastSort'];
		}else{
			return 1;
		}
	}
	
	function CurrentImageList()
	{
		$sql = "SELECT Image FROM about where Image <> '' GROUP BY Image ORDER BY Image DESC";
		$qry = $this->db->query($sql);
		$row = $qry->result_array();
		
		return $row;
	}
	
	function GetLastaboutID()
	{
		$sql = "SELECT (aboutID + 1) AS aboutID FROM about ORDER BY aboutID DESC LIMIT 1";
		$qry = $this->db->query($sql);
		$num = $qry->num_rows();
		
		if($num > 0){
			$row = $qry->result_array();
			return $row[0]['aboutID'];
		}else{
			return 1;
		}
	}
	
	function DataEdit($aboutID)
	{
        $sql = "SELECT * FROM about WHERE aboutID = '$aboutID'";
        $qry = $this->db->query($sql);
        $row = $qry->result_array();
		
        return $row;
	}
	
	function SetNullPublishFlg()
	{
        $sql = "Update about set PublishFlg=0";
        $qry = $this->db->query($sql);
	}
	
	function UpdatePublishFlg($PublishFlg)
	{
        $sql = "Update about set PublishFlg=1 where aboutID in('$PublishFlg')";
        $qry = $this->db->query($sql);
	}
	
	function UpdateSort($aboutID, $Sort)
	{
        $sql = "Update about set Sort='$Sort' where aboutID='$aboutID'";
        $qry = $this->db->query($sql);
	}
	
	function config_module($MENU_ID)
	{
		$sql = "SELECT * FROM config_module WHERE MenuID = '$MENU_ID'";
        $qry = $this->db->query($sql);
        $row = $qry->result_array();
		
        return $row;
	}
	/*
	function CekImage($aboutID)
	{
		$sql = "SELECT Image FROM about where aboutID = '$aboutID'";
		$qry = $this->db->query($sql);
		$row = $qry->result_array();
		
		return $row;
	}
	*/
	function CekImage($aboutID)
	{
		$sql = "SELECT Image FROM about where aboutID = '$aboutID'";
		$qry = $this->db->query($sql);
		$row = $qry->result_array();
		
		$Image = $row[0]['Image']; // nama dari image yang ada di database
		
		/// cek image ada yang pakai dengan nama yang sama atau tidak
		$sql2 = "SELECT Image FROM about WHERE Image = '$Image' AND Image <> '' ";
		$qry2 = $this->db->query($sql2);
		$num = $qry2->num_rows();
		
		return array('Image'=>$Image,'Count'=>$num);
	}
}
?>