<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_news extends authcontroller
{
	function __construct()
	{
        parent::__construct();
		
	$this->load->model('admin_news_model');
		$this->load->library('upload');
    }
	
	function index($MENU_ID)
	{
		define("MENU_ID", $MENU_ID);
        $UserID = $this->session->userdata('UserID');      
        $this->redirectNoAuthRead($UserID, MENU_ID);
		
		
		
		
		$data['DataView']		  = $this->admin_news_model->DataView();
		
		//print_array($data['DataView']);
		//exit;
		
		$this->load->view('admin/admin_news', $data);
	}
	
	function update_all($MENU_ID)
	{
		$newsID     = $this->input->post('newsID');
		$Sort       	= $this->input->post('Sort');
		$PublishFlg 	= $this->input->post('PublishFlg');
		
		// Update PublishFlg /////////////////////////////////////////////////
		
		$this->admin_news_model->SetNullPublishFlg(); //set null
		
		$strBaca = "";
		for ($i=0; $i<count($PublishFlg); $i++)
		{
			$strBaca = $strBaca . "'" . $PublishFlg[$i] . "',";
		}
		
		$PublishFlg = substr($strBaca, 1, strlen($strBaca)-3);
		
		$this->admin_news_model->UpdatePublishFlg($PublishFlg);
		
		// print_array($PublishFlg); // cek keluaran array
		
	
		// Update Sort ////////////////////////////////////////////////////////
		
		for($a=0 ; $a<count($newsID) ; $a++)
		{
			$this->admin_news_model->UpdateSort($newsID[$a], $Sort[$a]);
		}
		
		//print_array ($Sort);
		
		///////////////////////////////////////////////////////////////////////
		
		redirect('admin_news/index/'.$MENU_ID);
	
	}
	
	function insert($MENU_ID)
	{
		$data['CurrentImageList'] = $this->admin_news_model->CurrentImageList();
		$data['config_module']    = $this->admin_news_model->config_module($MENU_ID);
		$this->load->view('admin/admin_news_insert', $data);
	}
	
	function insert_process($MENU_ID){
	    $Date  		= $this->input->post('Date');
		$newsID     = $this->admin_news_model->GetLastnewsID();
		$PublishFlg = 0;
		$judul      = $this->input->post('Name');
		$judul      = strtolower($judul);
		$judul_news = url_title($judul);
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		
		if($this->input->post('ImageType') == 'NoImage')
		{
			$ImageName = "";
		}
		else if($this->input->post('ImageType') == 'UploadNew')
		{
			#upload image =========================================================			
			$ImageName = $judul_news.'_'.$newsID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
			$ImageName_temp = $judul_news.'_'.$newsID.'_temp.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
			
			$config['file_name']      = $judul_news.'_'.$newsID.'_temp';
			$config['upload_path']    = './uploads/news/';
			$config['allowed_types']  = 'gif|jpg|png|';
			$config['max_size']	      = '500';
			$config['max_width']      = '400';
			$config['max_height']     = '400';
			$this->upload->initialize($config);
			
			if(!$this->upload->do_upload('ImageUpload')) 
			{
				$data = array('error' => $this->upload->display_errors('',''));	
				$error = $data['error'];

				echo '<script language="javascript">alert("'.$error.'!");window.history.go(-1);</script>';
				exit();
			}else{
				
				#delete temp image
				$fileImageName_temp 	= './uploads/news/'.$ImageName_temp;
				if (file_exists($fileImageName_temp)){unlink($fileImageName_temp);}
				
				#delete image exis
				$fileImageName 	= './uploads/news/'.$ImageName;
				if (file_exists($fileImageName) && $ImageName!= ''){unlink($fileImageName);}
				
				#second upload with no error, not necessary to make a condition error upload image
				$config['file_name']      = $judul_news.'_'.$newsID; // initialization new config file_name				
				$this->upload->initialize($config);
				
				$this->upload->do_upload('ImageUpload');			
			}	// kondisi upload		
			#close upload image =========================================================================			
		}
		else if($this->input->post('ImageType') == 'SelectList')
		{
			$ImageName = $this->input->post('ImageCurrent');
		}
		
		$data = array(
					'newsID' 	       		=> $newsID,
					'Name'       	  		=> $this->input->post('Name'),
					'E_Name'      	 		=> $this->input->post('E_Name'),
					'ShortDesc'    			=> $this->input->post('ShortDesc'),
					'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
					'LongDesc'     			=> $this->input->post('LongDesc'),
					'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
					'Image'        			=> $ImageName,
					'Sort'         			=> $this->admin_news_model->LastSort(),
					'PublishFlg'   			=> $PublishFlg,
					'tgl' 				    => $Date
				);
		
		$this->db->insert('news', $data);
		
		redirect('admin_news/index/'.$MENU_ID);
	}
	
	function edit($MENU_ID,$newsID)
	{
		$data['CurrentImageList'] = $this->admin_news_model->CurrentImageList();
		$data['DataEdit']         = $this->admin_news_model->DataEdit($newsID);
		
		$data['config_module']    = $this->admin_news_model->config_module($MENU_ID);
		
		$this->load->view('admin/admin_news_edit', $data);
	}
	
	function edit_process($MENU_ID,$newsID)
	{
				
		$Date  		= $this->input->post('Date');
		$judul  	= $this->input->post('Name');
		$judul      = strtolower($judul);
		$judul_news = url_title($judul);
		//echo $judul_news;
		//exit;
		
		$PublishFlg = 0;
		$CekImg = $this->admin_news_model->CekImage($newsID); // cek image ada yang pakai ato tidak		
		$Count =  $CekImg['Count'];
		$Image = $CekImg['Image'];
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		
		if($this->input->post('ImageType') != '')
		{
			if($this->input->post('ImageType') == 'NoImage')
			{
				if ($Count == 1)
				{
				unlink('./uploads/news/'.$Image);
				}
				
				$ImageName = "";
			}
			else if($this->input->post('ImageType') == 'UploadNew')
			{
				/*$ImageName = $newsID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
				if ($Count == 1)
				{
				unlink('./uploads/news/'.$Image);
				}
				
				$this->uploadImage($newsID);*/
				
				$ImageName = $judul_news.'_'.$newsID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
				$ImageName_temp = $judul_news.'_'.$newsID.'_temp.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
				
				$config['file_name']      = $judul_news.'_'.$newsID.'_temp';
				$config['upload_path']    = './uploads/news/';
				$config['allowed_types']  = 'gif|jpg|png|';
				$config['max_size']	      = '500';
				$config['max_width']      = '400';
				$config['max_height']     = '400';
				
				
			  
				//$this->load->library('upload', $config);
				$this->upload->initialize($config);
				//print_array($config);
				if(!$this->upload->do_upload('ImageUpload')) 
				{
					$data = array('error' => $this->upload->display_errors('',''));	
					$error = $data['error'];
	
					echo '<script language="javascript">alert("'.$error.'!");window.history.go(-1);</script>';
					exit();
				}else{
					
					#delete temp image
					$fileImageName_temp 	= './uploads/news/'.$ImageName_temp;
					if (file_exists($fileImageName_temp)){unlink($fileImageName_temp);}
					
					#delete image exis
					$fileImageName 	= './uploads/news/'.$ImageName;
					if (file_exists($fileImageName) && $ImageName!= ''){unlink($fileImageName);}
					
					#second upload with no error, not necessary to make a condition error upload image
					$config['file_name']      = $judul_news.'_'.$newsID; // initialization new config file_name				
					$this->upload->initialize($config);
					
					$this->upload->do_upload('ImageUpload');			
				}	// kondisi upload		
				
			}
			else if($this->input->post('ImageType') == 'SelectList')
			{
				$ImageName = $this->input->post('ImageCurrent');
			}
			
			$data = array(
						'Name'     	    		=> $this->input->post('Name'),
						'E_Name'    	   		=> $this->input->post('E_Name'),
						'ShortDesc'   			=> $this->input->post('ShortDesc'),
						'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
						'LongDesc'     			=> $this->input->post('LongDesc'),
						'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
						'Image'        			=> $ImageName,
						'PublishFlg'   			=> $PublishFlg,
						'tgl' 					=> $Date
					);
		}
		else
		{
			$data = array(
						'Name' 	        		=> $this->input->post('Name'),
						'E_Name'   	    		=> $this->input->post('E_Name'),
						'ShortDesc'    			=> $this->input->post('ShortDesc'),
						'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
						'LongDesc'     			=> $this->input->post('LongDesc'),
						'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
						'PublishFlg'   			=> $PublishFlg,
						'tgl' 				=> $Date
					);
		}
		
		$this->db->where('newsID', $newsID);
		$this->db->update('news', $data);
		
		redirect('admin_news/index/'.$MENU_ID);
	}
	
	function delete($MENU_ID,$newsID)
	{
		$CekImg = $this->admin_news_model->CekImage($newsID); // cek image ada yang pakai ato tidak		
		$Count =  $CekImg['Count'];
		$Image = $CekImg['Image'];
		
		//echo $Image;
		//print_array ($CekImg);
		
		//exit;
		
		if ($Count == 1){
		
		  $filename 	=  'uploads/news/'.$Image ; //
		  
		  if (file_exists($filename) <> '') {
		     unlink('./uploads/news/'.$Image);
		     }
		}
		
		$this->db->where('newsID', $newsID);
		$this->db->delete('news');
		
		redirect('admin_news/index/'.$MENU_ID);
		
	}
	
	function uploadImage($newsID)
	{
		$config['file_name']      = $newsID;
		$config['upload_path']    = './uploads/news';
		$config['allowed_types']  = 'gif|jpg|png|';
		$config['max_size']	      = '500';
		$config['max_width']      = '300';
		$config['max_height']     = '300';
		
		$this->load->library('upload', $config);
		$this->upload->do_upload('ImageUpload');
	}
	
}
?>